Get thumbnails files list
curl --request GET \
--url https://api.poix.io/files/thumbnails/{videoId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poix.io/files/thumbnails/{videoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poix.io/files/thumbnails/{videoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "default",
"width": 120,
"height": 90,
"format": "webp",
"ratio": "4:3",
"url": "https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/default.webp"
},
{
"id": "medium",
"width": 320,
"height": 180,
"format": "webp",
"ratio": "16:9",
"url": "https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/mqdefault.webp"
},
{
"id": "high",
"width": 480,
"height": 360,
"format": "webp",
"ratio": "4:3",
"url": "https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/hqdefault.webp"
},
{
"id": "standard",
"width": 640,
"height": 480,
"format": "webp",
"ratio": "4:3",
"url": "https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/sddefault.webp"
},
{
"id": "maxres",
"width": 1280,
"height": 720,
"format": "webp",
"ratio": "16:9",
"url": "https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/maxresdefault.webp"
},
{
"id": "default",
"width": 120,
"height": 90,
"format": "jpg",
"ratio": "4:3",
"url": "https://i.ytimg.com/vi/dQw4w9WgXcQ/default.jpg"
},
{
"id": "medium",
"width": 320,
"height": 180,
"format": "jpg",
"ratio": "16:9",
"url": "https://i.ytimg.com/vi/dQw4w9WgXcQ/mqdefault.jpg"
},
{
"id": "high",
"width": 480,
"height": 360,
"format": "jpg",
"ratio": "4:3",
"url": "https://i.ytimg.com/vi/dQw4w9WgXcQ/hqdefault.jpg"
},
{
"id": "standard",
"width": 640,
"height": 480,
"format": "jpg",
"ratio": "4:3",
"url": "https://i.ytimg.com/vi/dQw4w9WgXcQ/sddefault.jpg"
},
{
"id": "maxres",
"width": 1280,
"height": 720,
"format": "jpg",
"ratio": "16:9",
"url": "https://i.ytimg.com/vi/dQw4w9WgXcQ/maxresdefault.jpg"
}
]{
"success": false,
"error": {
"issues": [
{
"code": "too_big",
"maximum": 11,
"type": "string",
"inclusive": true,
"exact": true,
"message": "String must contain exactly 11 character(s)",
"path": [
"videoId"
]
}
],
"name": "ZodError"
}
}{
"error": {
"message": "Forbidden"
}
}Files
Get thumbnails files list
This endpoint retrieves a list of thumbnail files for a specified YouTube video.
GET
/
files
/
thumbnails
/
{videoId}
Get thumbnails files list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The YouTube video ID
Required string length:
11Example:
"dQw4w9WgXcQ"
⌘I